CUPTI (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.8. CUpti_ActivityCudaEvent Struct Reference

## [CUPTI Activity API]

This activity is used to track recorded events. (CUPTI_ACTIVITY_KIND_CUDA_EVENT).

### Public Variables

uint32_t contextId
uint32_t correlationId
uint32_t eventId
CUpti_ActivityKind kind
uint32_t pad
uint32_t streamId

### Variables

uint32_t CUpti_ActivityCudaEvent::contextId [inherited]

  The ID of the context where the event was recorded.

uint32_t CUpti_ActivityCudaEvent::correlationId [inherited]

  The correlation ID of the API to which this result is associated.

uint32_t CUpti_ActivityCudaEvent::eventId [inherited]

  A unique event ID to identify the event record.

CUpti_ActivityKind CUpti_ActivityCudaEvent::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_CUDA_EVENT.

uint32_t CUpti_ActivityCudaEvent::pad [inherited]

  Undefined. Reserved for internal use.

uint32_t CUpti_ActivityCudaEvent::streamId [inherited]

  The compute stream where the event was recorded.